Summary: LDAP Pluggable Authentication Module
Name: pam_ldap
Version: 38
Release: mz1
Source0: ftp://ftp.padl.com/pub/pam_ldap-%{version}.tar.gz
Source1: ldap.conf
Patch0: pam_ldap-38-redhat.patch
URL: http://www.padl.com/
Copyright: LGPL
Group: System Environment/Base
BuildRoot: /var/tmp/%{name}-root

%description 
This is pam_ldap, a pluggable authentication module that can be used with
linux-PAM. This module supports password changes, V2 clients, Netscapes SSL,
ypldapd, Netscape Directory Server password policies, access authorization,
crypted hashes, etc.

%prep
%setup -q
%patch0 -p1 -b .redhat

%build
make -f Makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.linux install
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/security/pam_ldap.so
%config(noreplace) /etc/ldap.conf
%doc README COPYING.LIB ChangeLog ldap.conf pam.d

%changelog
* Tue Aug 10 1999 Dana Canfield <canfield@uindy.edu>
- adapted the RPM for Mozilla's LDAP Libraries because 
  the openLDAP libraries don't work with referrals properly. 
- updated to pam_ldap-38 which fixes problems with referrals
  for password changes.

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- adapted the original spec file for RH 6.1
- ship the same config file as the nss_ldap

